1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Devhook 0.51

Discussion in 'Sony PSP - Mod and firmware discussion' started by victor14, Aug 8, 2007.

  1. victor14

    victor14 Regular member

    Joined:
    Aug 8, 2007
    Messages:
    330
    Likes Received:
    0
    Trophy Points:
    26
    I have a PSP with official Sony firmware 3.00. I tried to install or run Devhook 0.51 with 3.02 emulation but, everytime it keeps on saying this game cannot be played and the data is corrupted. Can this be fixed or do I have to downgrade my firmware. Also, is downgrading firmware 3.00 to 2.80 safe? Thanks!
     
  2. stevo86

    stevo86 Guest

    there always the risk of a brick but imo its safe as long as u follow the instructions and i'd go back to 1.5 then upgrade to costum firmware either dax's 3.40oe-a or the new 3.52m33 then u wont even need dev hook and the m33 have almost perfect no umd suport
     
  3. victor14

    victor14 Regular member

    Joined:
    Aug 8, 2007
    Messages:
    330
    Likes Received:
    0
    Trophy Points:
    26
    Why do i keep getting installation errors when I install 3.52 M33? Thsi game cannot be started. The data is corrupted? Tis there a way to fix this? I have 3.00 firmware. And, how can I access the recovery menu? I tried the cold boot then pressing the R button on restart. thanks
     
  4. btjl90

    btjl90 Regular member

    Joined:
    Jul 23, 2007
    Messages:
    333
    Likes Received:
    0
    Trophy Points:
    26
    installing 3.52 m33 requires u to be on custom firmware.. currently from ur post i think u are on SONY firmware. u have to downgrade before u upgrade to 3.52 m33
     
  5. victor14

    victor14 Regular member

    Joined:
    Aug 8, 2007
    Messages:
    330
    Likes Received:
    0
    Trophy Points:
    26
    Is there any way to safely downgrade my 3.00 firmware psp to 1.50? Or is there any way to download a custom firmware that I don't need to downgrade? In addition, how can I be able to play backup iso and cso if these options do not work?
     
  6. bu22ard

    bu22ard Regular member

    Joined:
    Jul 16, 2006
    Messages:
    650
    Likes Received:
    0
    Trophy Points:
    26
    you cannot run .isos on 3.00FW

    you must downgrade to 1.5 then install CFW
    either 3.03DG (using GTA unpatched UMD) or 3.50DG (using Lumines unpatched UMD)

    if you don't have either then forget DG or running .isos.
     
  7. victor14

    victor14 Regular member

    Joined:
    Aug 8, 2007
    Messages:
    330
    Likes Received:
    0
    Trophy Points:
    26
    Is it safe to downgrade official firmware 3.00 to 2.82 then 2.81 then 2.80...... something like this but very slowly? Will this brick my PsP really easily? If so , is there a way to unbrick a psp? I have also heard about a downgrader/ upgrader lite that downgrades psp firmwares very easily and safely on psphacks.com. In addition, is there any program that can let you access the recovery menu on 3.00 firmware? Lastly, is there any program that resets the entire psp firmware to the time the psp was bought (mine was 2.80)? Or maybe something like that? Thanks!
     
  8. bu22ard

    bu22ard Regular member

    Joined:
    Jul 16, 2006
    Messages:
    650
    Likes Received:
    0
    Trophy Points:
    26
    pointless, and anyway most downgraders take you to 1.5 in one go
    DG is safe if you read the readme and don't cut the power to the psp

    not without hardware, or modchip

    yes, it is good for noobs but i personally will only ever uyse files from the source, no point introducing extra chance of error from a third party

    there is no recovery on offical sony FW, only on custom FW

    once downgraded, install any sony update you like
     
  9. victor14

    victor14 Regular member

    Joined:
    Aug 8, 2007
    Messages:
    330
    Likes Received:
    0
    Trophy Points:
    26
    If I get the GTA: liberty city stories game from the store. And downgrade my 3.03 official firmware psp to 1.50 firmware. Will my PSP be likely to be bricked? If so, is there any way going back? Thanks!
     
  10. btjl90

    btjl90 Regular member

    Joined:
    Jul 23, 2007
    Messages:
    333
    Likes Received:
    0
    Trophy Points:
    26
    whats wrong with u? just downgrade it! the chances of bricking is very minimal.. just remember to have ur psp plugged in!

    stop asking stupid qns -.-
     
  11. victor14

    victor14 Regular member

    Joined:
    Aug 8, 2007
    Messages:
    330
    Likes Received:
    0
    Trophy Points:
    26
    Sorry, I'm just nervous. :) Anyways, can you use GTA: Liberty City Stories UMD V2.60 to downgrade 3.03 to 1.50? If not, then where can I get GTA: LCS UMD 2.00? Maybe Blockbuster? Thanks!
     
  12. pixels

    pixels Member

    Joined:
    Jun 9, 2007
    Messages:
    80
    Likes Received:
    0
    Trophy Points:
    16
    just dont upgrade anymore and downgrade it and use dark alexes custom firmware read the read me and every thing should go ok if you do things right if you don't you'll end up with a bricked psp thats it but there are so many people out there who have used it and are happy with it and there psp work fine
     
  13. pixels

    pixels Member

    Joined:
    Jun 9, 2007
    Messages:
    80
    Likes Received:
    0
    Trophy Points:
    16
    in fact better the whole use of custom firmware to get the most out of your psp
     
  14. victor14

    victor14 Regular member

    Joined:
    Aug 8, 2007
    Messages:
    330
    Likes Received:
    0
    Trophy Points:
    26
    can you downgrade 3.03 official firmware version to 1.50 with Grand Theft Auto: Liberty City Stores UMD 2.60?
     
  15. victor14

    victor14 Regular member

    Joined:
    Aug 8, 2007
    Messages:
    330
    Likes Received:
    0
    Trophy Points:
    26
    Will downgrading using GTA: LCS UMD 2.60 brick your psp?
     
  16. bu22ard

    bu22ard Regular member

    Joined:
    Jul 16, 2006
    Messages:
    650
    Likes Received:
    0
    Trophy Points:
    26
    no, it just won't let you do it as it was patched to stop eloader
    you MUST have the one with 2.0 update on the UMD
     
  17. victor14

    victor14 Regular member

    Joined:
    Aug 8, 2007
    Messages:
    330
    Likes Received:
    0
    Trophy Points:
    26
    Where can you buy GTA: LCS unpatched or Lumines unpatched? Also, just to let you know, I am in canada. I have tried blockbuster but they did not have any. So any suggestions?
     
  18. pixels

    pixels Member

    Joined:
    Jun 9, 2007
    Messages:
    80
    Likes Received:
    0
    Trophy Points:
    16
    try ebay and stop asking these questions just find it and downgrade it this has to be the longest thread about one simple downgrading question except proberbley mine but it was not so long as this DAM
     

Share This Page